"use server";
import { eq, not , asc} from "drizzle-orm";
import { revalidatePath } from "next/cache";
import { db } from "../db";
import { Account } from "../db/schema/Account";

export const getData = async () => {
  const data = await db.select().from(Account).orderBy(asc(Account.last_name));
  return data;
};

export const addAccount = async ( first_name:  string, last_name: string, username: string, email: string, password_hash : string) => {
  await db.insert(Account).values({
    first_name : first_name, last_name: last_name, username: username, password_hash : password_hash 
  });
};

export const deleteAccount = async (id: number) => {
  await db.delete(Account).where(eq(Account.id, id));
  revalidatePath("/");
};

export const editAccount = async (id: number, first_name: string, last_name: string, username: string, email : string, password_hash: string) => {
  await db
    .update(Account)
    .set({
      first_name : first_name, 
      last_name: last_name, 
      username: username,
      email: email, 
      password_hash: password_hash
    })
    .where(eq(Account.id, id));
  revalidatePath("/");
};